# Install an external plugin from a ZIP archive

Canonical: https://docs.shumoku.dev/en/server/next/api/postPluginsUpload
Language: en
Server documentation version: next
Product version: 0.1.6-beta.4
Channel: development

This documentation describes the Server currently in development.

Shumoku Server API · 0.1.6-beta.4 · Plugins

# Install an external plugin from a ZIP archive

[OpenAPI source](https://github.com/konoe-akitoshi/shumoku/blob/73ebc72ba0bc0d1caf74e1ed34c89a6debcb0e6a/apps/server/api/openapi.json)

```
POST /api/plugins/upload
```

## Authentication

sessionCookie / bearerAuth

## Request body

`object` · multipart/form-data · required

## Responses

| Status | Description | Schema |
| --- | --- | --- |
| `201` | Installed plugin | `PluginInfo` |
| `400` | The request did not match the API contract | `Error` |
| `404` | Plugin not found | `Error` |
| `500` | Plugin operation failed | `Error` |

[`apps/server/api/openapi.json`](https://github.com/konoe-akitoshi/shumoku/blob/73ebc72ba0bc0d1caf74e1ed34c89a6debcb0e6a/apps/server/api/openapi.json)
